#ifndef __SYNCS__
#define __SYNCS__

#include "syncname.h"

extern struct {
  double t;
  int id;
  const char* nazov;
} Sync[];

extern int __numsync; 

inline int GetSyncNum(double a) {
  for(int i=1; i<=__numsync; i++)
    if(a<Sync[i].t) return i-1;
}

inline void SyncInfo(int n) {
  cout << "Sync " << n << ": " << Sync[n].nazov << endl;
}

#endif
